## visad
Class ContourStripSet

    java.lang.Object
      visad.ContourStripSet

class ContourStripSet
extends Object

ContourStripSet is used internally by Contour2D

Field Summary
`(package private) float[]` `levels`
`(package private) int` `mxsize`
`(package private) int` `n_levs`
`(package private) int` `nc`
`(package private) int` `nr`
`(package private) float[][]` `plot_min_max`
`(package private) PlotDigits[]` `plot_s`
`(package private) Gridded3DSet` `spatial_set`
`(package private) boolean[]` `swap`
`(package private) Vector` `vec`
`(package private) Vector[]` `vecArray`

Constructor Summary
`(package private)` `ContourStripSet(int size, float[] levels, boolean[] swap, double scale_ratio, double label_size, int nr, int nc, Gridded3DSet spatial_set)`

Method Summary
`(package private) void` `add(float[] vx, float[] vy, int idx0, int idx1, float level)`
`(package private) void` `add(float[] vx, float[] vy, int idx0, int idx1, int lev_idx)`
`(package private) void` `getLineColorArrays(float[] vx, float[] vy, byte[][] colors, float[][][] out_vv, byte[][][] out_bb, float[][][][] out_vvL, byte[][][][] out_bbL, float[][][] out_loc)`
`(package private) void` `getLineColorArrays(float[] vx, float[] vy, byte[][] colors, int lev_idx, float[][][] out_vv, byte[][][] out_bb, float[][][][] out_vvL, byte[][][][] out_bbL, float[][][] out_loc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mxsize

    int mxsize

### levels

    float[] levels

### n_levs

    int n_levs

### nr

    int nr

### nc

    int nc

### spatial_set

    Gridded3DSet spatial_set

### vecArray

    Vector[] vecArray

### vec

    Vector vec

### plot_s

    PlotDigits[] plot_s

### plot_min_max

    float[][] plot_min_max

### swap

    boolean[] swap

Constructor Detail

### ContourStripSet

    ContourStripSet(int size,
                    float[] levels,
                    boolean[] swap,
                    double scale_ratio,
                    double label_size,
                    int nr,
                    int nc,
                    Gridded3DSet spatial_set)
              throws VisADException

Method Detail

### add

    void add(float[] vx,
             float[] vy,
             int idx0,
             int idx1,
             float level)

### add

    void add(float[] vx,
             float[] vy,
             int idx0,
             int idx1,
             int lev_idx)

### getLineColorArrays

    void getLineColorArrays(float[] vx,
                            float[] vy,
                            byte[][] colors,
                            int lev_idx,
                            float[][][] out_vv,
                            byte[][][] out_bb,
                            float[][][][] out_vvL,
                            byte[][][][] out_bbL,
                            float[][][] out_loc)

### getLineColorArrays

    void getLineColorArrays(float[] vx,
                            float[] vy,
                            byte[][] colors,
                            float[][][] out_vv,
                            byte[][][] out_bb,
                            float[][][][] out_vvL,
                            byte[][][][] out_bbL,
                            float[][][] out_loc)